using Inspectron.Settings;
using Inspectron.Settings.Attributes;
using VisionBuilder.UI.Common;

namespace Hawkeye.VisionBuilder.UI.Sources.Hawkeye;

public class HawkeyeSettings(string CameraName): ISettings
{


    
    public string Adapter { get; set; }="192.168.1.100";

    [File("*.jcnf")]
    public string SettingsFile { get; set; }

    public bool IsColor { get; set; }=true;

    public void RegisterSettings(InspectronSettings settings)
    {
        settings.RegisterSimple(this, () => Adapter, $"{CameraName}/Sources/Hawkeye", nameof(Adapter));
        settings.RegisterSimple(this, () => IsColor, $"{CameraName}/Sources/Hawkeye", nameof(IsColor));

        settings.RegisterSimple(this, () => SettingsFile, $"{CameraName}/Sources/Hawkeye", nameof(SettingsFile));
    }

    
}